## android-audiosystem 1.0-1-newyork10

=== app/Makefile ===
make_home := ..
top_srcdir := ..

include $(make_home)/project_make
include $(make_home)/package_make

#######################
# CUSTOMIZE MACROS HERE
#######################

# name your binary here
PKG_APP = audiotest

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CFILES = test.c
#CCFILES =
#CPPFILES = test.cpp 
#CXXFILES =

FORCE_CXX_LINK = FALSE

# if this app depends on private static library built
# by this package, uncomment next line
# STATIC_LIBS = ../lib/waudio/libwaudio.a ../lib/libmedia/libmedia.a ../lib/libbinder/libbinder.a ../lib/libutils/libutils.a ../lib/libcutils/libcutils.a ../lib/liblog/liblog.a

# modify compiler command-line options
# CFLAGS = -fPIC

# add system libraries to link line
#LDSYSLIBS =

# modify linker command-line options, e.g.,
# -L and -l to specify shared libraries built by this package
LDFLAGS += \
		-L ../lib/waudio \
		-L ../lib/libmedia \
		-L ../lib/binder \
		-L ../lib/utils \
		-L ../lib/libcutils \
		-L ../lib/liblog
		
SHARED_LIBS += -lwaudio -lpthread -lrt -ldl -lz -lm -lmedia -lbinder -lutils -lcutils -llog

# This last macro is rarely used, it is intended to allow
# a system library to be replaced, e.g. with a debug version
# if used it should be -L<dir1> -L<dir2> etc.
#PKGLIBS =

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_app

=== lib/binder/Makefile ===
make_home := ../../
top_srcdir := ../../


include $(make_home)/project_make
WARN = -Wall
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = binder

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CPPFILES = Binder.cpp \
        BpBinder.cpp \
        CursorWindow.cpp \
        IInterface.cpp \
        IMemory.cpp \
        IPCThreadState.cpp \
        IPermissionController.cpp \
        IServiceManager.cpp \
        MemoryBase.cpp \
        MemoryDealer.cpp \
        MemoryHeapBase.cpp \
        MemoryHeapPmem.cpp \
        Parcel.cpp \
        PermissionCache.cpp \
        ProcessState.cpp \
        Static.cpp

#CCFILES =
#CPPFILES =
#CXXFILES =

FORCE_CXX_LINK = TRUE

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC -DHAVE_ANDROID_OS=1 -DANDROID_LOG_STDOUT $(CONFIG_DEFINES)

# modify linker command-line options
LDFLAGS += -L ../liblog
SHARED_LIBS += -llog

# build private static library
private_lib = NO

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib

=== lib/libcutils/Makefile ===
make_home := ../..
top_srcdir := ../..


include $(make_home)/project_make
WARN = -Wall
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = cutils

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CFILES = array.c \
    hashmap.c \
    atomic.c \
    native_handle.c \
    buffer.c \
    socket_inaddr_any_server.c \
    socket_local_client.c \
    socket_local_server.c \
    socket_loopback_client.c \
    socket_loopback_server.c \
    socket_network_client.c \
    sockets.c \
    config_utils.c \
    cpu_info.c \
    load_file.c \
    list.c \
    open_memstream.c \
    strdup16to8.c \
    strdup8to16.c \
    record_stream.c \
    process_name.c \
    properties.c \
    threads.c \
    sched_policy.c \
    iosched_policy.c \
    str_parms.c \
    abort_socket.c \
    selector.c \
    tztime.c \
    zygote.c \
    ashmem-dev.c \
    mot_pthread.c \
    android_reboot.c \
    partition_utils.c \
    uevent.c \
    qtaguid.c \
    klog.c \
    memory.c

CFLAGS += -DHAVE_MEMSET16 -DHAVE_MEMSET32
SFILES += arch-arm/memset32.S atomics_arm.S atomic-android-arm.S

#CCFILES =
#CPPFILES =
#CXXFILES =

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS += -fPIC -DHAVE_ANDROID_OS=1 -DHAVE_UBUNTU_OS=1 -DANDROID_SMP=0 -DUSE_SSE2 -D_GNU_SOURCE=1 $(CONFIG_DEFINES)

# modify linker command-line options
LDFLAGS += -L ../liblog

SHARED_LIBS += -llog -lpthread -lrt

# build private static library
private_lib = NO

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib

=== lib/liblog/Makefile ===
make_home := ../..
top_srcdir := ../..

include $(make_home)/project_make
WARN = -Wall
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = log

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CFILES = logd_write.c  logprint.c  event_tag_map.c fake_log_device.c
#CCFILES =
#CPPFILES =
#CXXFILES =

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC -DHAVE_ANDROID_OS=1 -DANDROID_LOG_STDOUT $(CONFIG_DEFINES)

# modify linker command-line options
#LDFLAGS =

# build private static library
private_lib = NO

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib

=== lib/libmedia/Makefile ===
make_home := ../../
top_srcdir := ../../

include $(make_home)/project_make
WARN = -Wall
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = media

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CPPFILES = AudioTrack.cpp \
        IAudioFlinger.cpp \
        IAudioFlingerClient.cpp \
        IAudioTrack.cpp \
        IAudioRecord.cpp \
        AudioRecord.cpp \
        AudioSystem.cpp \
        IAudioPolicyService.cpp \
        IEffect.cpp \
        IEffectClient.cpp

#CCFILES =
#CPPFILES =
#CXXFILES =

FORCE_CXX_LINK = TRUE

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC -DHAVE_ANDROID_OS=1 $(CONFIG_DEFINES)

# modify linker command-line options
LDFLAGS += -L ../libcutils/ -L ../utils/ -L ../binder

SHARED_LIBS += -lcutils -lutils -lbinder -lpthread

# build private static library
private_lib = NO 

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib

=== lib/utils/Makefile ===
make_home := ../..
top_srcdir := ../..


include $(make_home)/project_make
WARN = -Wall
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = utils

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CPPFILES = Asset.cpp \
        AssetDir.cpp \
        AssetManager.cpp \
        BufferedTextOutput.cpp \
        BackupData.cpp \
        BackupHelpers.cpp \
        BlobCache.cpp \
        CallStack.cpp \
        Debug.cpp \
        FileMap.cpp \
        Flattenable.cpp \
        LinearTransform.cpp \
        Looper.cpp \
        misc.cpp \
        ObbFile.cpp \
        PropertyMap.cpp \
        RefBase.cpp \
        ResourceTypes.cpp \
        SharedBuffer.cpp \
        Static.cpp \
        StopWatch.cpp \
        StreamingZipInflater.cpp \
        String8.cpp \
        String16.cpp \
        StringArray.cpp \
        SystemClock.cpp \
        TextOutput.cpp \
        Threads.cpp \
        Timers.cpp \
        Tokenizer.cpp \
        Unicode.cpp \
        VectorImpl.cpp \
        ZipFileCRO.cpp \
        ZipFileRO.cpp \
        ZipUtils.cpp

#        BufferedTextOutput.cpp \

#CCFILES =
#CPPFILES =
#CXXFILES =

FORCE_CXX_LINK = TRUE

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC -DHAVE_OFF64_T $(CONFIG_DEFINES)

# modify linker command-line options
LDFLAGS += -L ../liblog
SHARED_LIBS += -llog -lz -lrt

# build private static library
private_lib = NO 

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib

=== lib/waudio/Makefile ===
make_home := ../..
top_srcdir := ../..

include $(make_home)/project_make
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = waudio

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CPPFILES = android_audio_wrapper.cpp
#CCFILES =
#CPPFILES =
#CXXFILES =

FORCE_CXX_LINK = TRUE

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS = ../libmedia/libmedia.a ../libbinder/libbinder.a ../libutils/libutils.a ../libcutils/libcutils.a ../liblog/liblog.a

# modify compiler command-line options
CFLAGS = -fPIC -DHAVE_ANDROID_OS=1 $(CONFIG_DEFINES)

# modify linker command-line options
LDFLAGS += --sysroot=$(rootfs_path) $(PKGLDFLAGS) -L ../libmedia/

SHARED_LIBS += -lmedia

# build private static library
private_lib = NO

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib

=== lib/wctlplugin/Makefile ===
make_home := ../../
top_srcdir := ../../

oss_pkg_config_args = "alsa"

include $(make_home)/project_make
include $(make_home)/package_make

#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = asound_module_ctl_android

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CFILES = ctl_android.c
#CCFILES =
#CPPFILES =
#CXXFILES =

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC -DPIC

# modify linker command-line options
LDFLAGS += $(PKGLDFLAGS) -L ../waudio
SHARED_LIBS += -lwaudio -lasound

# build private static library
private_lib = NO

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS = 

MAKESUBDIR = YES

ifeq ($(ARCH), armel)
LIBSUBDIR = /usr/lib/arm-linux-gnueabi/alsa-lib
endif
ifeq ($(ARCH), armhf)
LIBSUBDIR = /usr/lib/arm-linux-gnueabihf/alsa-lib
endif

HDRSUBDIR = /usr/include/alsa

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib

=== lib/wpcmplugin/Makefile ===
make_home := ../../
top_srcdir := ../../


oss_pkg_config_args = "alsa"

include $(make_home)/project_make
include $(make_home)/package_make

#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = asound_module_pcm_android

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CFILES = pcm_android.c
#CCFILES =
#CPPFILES =
#CXXFILES =

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC -DPIC

# modify linker command-line options
LDFLAGS += $(PKGLDFLAGS) -L ../waudio/

SHARED_LIBS += -lwaudio -lasound

# build private static library
private_lib = NO

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS = 

MAKESUBDIR = YES

ifeq ($(ARCH), armel)
LIBSUBDIR = /usr/lib/arm-linux-gnueabi/alsa-lib
endif
ifeq ($(ARCH), armhf)
LIBSUBDIR = /usr/lib/arm-linux-gnueabihf/alsa-lib
endif

HDRSUBDIR = /usr/include/alsa

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

-include $(DEPENDS)

include $(make_home)/target_lib

=== debian/changelog ===
android-audiosystem (1.0-1-newyork10) precise; urgency=low

  * Because we modify pulseaudio's config file, we need to depend on it,
  otherwise if the build order changes (like it does when we switch to a
  metapackage), pulse fails to install.

 -- Matthew Fischer <matthew.fischer@canonical.com>  Thu, 04 Apr 2013 11:30:14 -0600

android-audiosystem (1.0-1-newyork9) precise; urgency=low

  * Rename alsa plugins from moto to android.  LP#1028006.

 -- Michael Frey <michael.frey@canonical.com>  Mon, 23 Jul 2012 14:57:46 -0400

android-audiosystem (1.0-1-newyork8) precise; urgency=low

  * Fix install of pulse and alsa config files.

 -- Michael Frey <michael.frey@canonical.com>  Tue, 12 Jun 2012 10:12:00 -0400

android-audiosystem (1.0-1-newyork7) precise; urgency=low

  * Fix alsa libs install paths
  * Prevent installation of pulseaudio conf files

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Wed, 06 Jun 2012 15:57:21 -0430

android-audiosystem (1.0-1-newyork6) precise; urgency=low

  * Expand internal build support for armhf targers
  * Release newyork6

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Tue, 05 Jun 2012 16:18:55 -0430

android-audiosystem (1.0-1-newyork5) precise; urgency=low

  * Release under correct pocket

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Tue, 05 Jun 2012 11:07:56 -0430

android-audiosystem (1.0-1-newyork4) quantal; urgency=low

  * Add armhf to supported architectures

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Tue, 05 Jun 2012 10:21:36 -0430

android-audiosystem (1.0-1-newyork3) precise; urgency=low

  * Change prefix to /usr and remove empty dirs

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Mon, 04 Jun 2012 14:44:25 -0430

android-audiosystem (1.0-1-newyork2) precise; urgency=low

  * Recreate package structure
    - Collapsed both rootfs/src directories
    - Fix installation paths for config files
    - Create links for newly installed libraries
    - Cleanup of various control files
    - Change alsa libraries installation target

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Fri, 01 Jun 2012 15:02:24 -0430

android-audiosystem (1.0-1-newyork1) precise; urgency=medium

  * Initial release pulled from the Motorola upstream (version 1.0-1) and merged with Android 4.0 libraries. 

 -- Lorenzo Polidori <lorenzo.polidori@canonical.com>  Wed, 30 May 2012 12:37:52 +0100

=== debian/control ===
Source: android-audiosystem
Section: devel
Priority: extra
Maintainer: Lorenzo Polidori <lorenzo.polidori@canonical.com>
Build-Depends: debhelper (>= 7), zlib1g-dev, libasound2-dev, pkg-config
Standards-Version: 3.9.3.1

Package: android-audiosystem
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends},
 pulseaudio
Description: ALSA pcm plugin solution routing data to android audioflinger

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	./build-component.sh --compile
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	./build-component.sh --clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	./build-component.sh --install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## android-audiosystem 1.8+13.10.20130807

=== app/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 		-L ../lib/libcutils \
 		-L ../lib/liblog
 		
-SHARED_LIBS += -lwaudio -lpthread -lrt -ldl -lz -lm -lmedia -lbinder -lutils -lcutils -llog
+SHARED_LIBS += -lwaudio -ldl -lz -lm -lmedia -lbinder -lutils -lcutils -llog
 
 # This last macro is rarely used, it is intended to allow
 # a system library to be replaced, e.g. with a debug version
@@ -57,7 +57,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_app

=== lib/audio_utils/Makefile ===
make_home := ../../
top_srcdir := ../../

include $(make_home)/project_make
WARN = -Wall
include $(make_home)/package_make

include ../Makefile.defines
#######################
# CUSTOMIZE MACROS HERE
#######################

# name your library here
PKG_LIB = audioutils

# at least one of following lines must be uncommented
# CFILES   is .c
# CCFILES  is .cc
# CPPFILES is .cpp
# CXXFILES is .cxx

CFILES = primitives.c

#CPPFILES
#CCFILES =
#CPPFILES =
#CXXFILES =

FORCE_CXX_LINK = TRUE

# if this library depends on private static library built
# by this package, uncomment next line
#STATIC_LIBS =

# modify compiler command-line options
CFLAGS = -fPIC $(CONFIG_DEFINES)

# modify linker command-line options
LDFLAGS += -L ../libcutils/

SHARED_LIBS += -lcutils

# build private static library
private_lib = YES

# build simple shared library
# single header file exported, should be .../lib/include/$(PKG_LIB).h
PKGCONFIG = NO

# build pkgconfig shared library
# change PKGCONFIG to YES and add following three macros
# PKG_LIBDESC is one line description of library
# PKG_REQUIRES is list of required pkgconfig libraries
# PKG_HEADERS is list of header files to export
#PKG_LIBDESC =
#PKG_REQUIRES =
#PKG_HEADERS =

MAKESUBDIR = YES
LIBSUBDIR = /$(install_lib_rel)
HDRSUBDIR = /$(install_hdr_rel)

############################
# END OF MACROS TO CUSTOMIZE
############################

all: $(TARGET)

#-include $(DEPENDS)

include $(make_home)/target_lib

=== lib/binder/Makefile ===
--- 
+++ 
@@ -22,7 +22,6 @@
 
 CPPFILES = Binder.cpp \
         BpBinder.cpp \
-        CursorWindow.cpp \
         IInterface.cpp \
         IMemory.cpp \
         IPCThreadState.cpp \
@@ -31,7 +30,6 @@
         MemoryBase.cpp \
         MemoryDealer.cpp \
         MemoryHeapBase.cpp \
-        MemoryHeapPmem.cpp \
         Parcel.cpp \
         PermissionCache.cpp \
         ProcessState.cpp \
@@ -55,7 +53,7 @@
 SHARED_LIBS += -llog
 
 # build private static library
-private_lib = NO
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -80,7 +78,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib

=== lib/libcutils/Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
     record_stream.c \
     process_name.c \
     properties.c \
+    qsort_r_compat.c \
     threads.c \
     sched_policy.c \
     iosched_policy.c \
@@ -51,16 +52,25 @@
     tztime.c \
     zygote.c \
     ashmem-dev.c \
+    debugger.c \
     mot_pthread.c \
     android_reboot.c \
     partition_utils.c \
     uevent.c \
     qtaguid.c \
     klog.c \
+    fs.c \
+    multiuser.c \
     memory.c
 
 CFLAGS += -DHAVE_MEMSET16 -DHAVE_MEMSET32
+
+ifeq ($(ARCH), armhf)
 SFILES += arch-arm/memset32.S atomics_arm.S atomic-android-arm.S
+endif
+ifeq ($(ARCH), i386)
+SFILES += arch-x86/android_memset16.S atomics_x86.S arch-x86/android_memset32.S
+endif
 
 #CCFILES =
 #CPPFILES =
@@ -79,7 +89,7 @@
 SHARED_LIBS += -llog -lpthread -lrt
 
 # build private static library
-private_lib = NO
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -104,7 +114,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib

=== lib/liblog/Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 #LDFLAGS =
 
 # build private static library
-private_lib = NO
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -60,7 +60,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib

=== lib/libmedia/Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 SHARED_LIBS += -lcutils -lutils -lbinder -lpthread
 
 # build private static library
-private_lib = NO 
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -74,7 +74,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib

=== lib/utils/Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 SHARED_LIBS += -llog -lz -lrt
 
 # build private static library
-private_lib = NO 
+private_lib = YES
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -101,7 +101,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib

=== lib/waudio/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 # if this library depends on private static library built
 # by this package, uncomment next line
-#STATIC_LIBS = ../libmedia/libmedia.a ../libbinder/libbinder.a ../libutils/libutils.a ../libcutils/libcutils.a ../liblog/liblog.a
+STATIC_LIBS = ../libmedia/libmedia.a ../binder/libbinder.a ../utils/libutils.a ../libcutils/libcutils.a ../liblog/liblog.a ../audio_utils/libaudioutils.a
 
 # modify compiler command-line options
 CFLAGS = -fPIC -DHAVE_ANDROID_OS=1 $(CONFIG_DEFINES)
@@ -35,10 +35,14 @@
 # modify linker command-line options
 LDFLAGS += --sysroot=$(rootfs_path) $(PKGLDFLAGS) -L ../libmedia/
 
-SHARED_LIBS += -lmedia
+SHARED_LIBS += -lmedia -lpthread -lrt
 
 # build private static library
 private_lib = NO
+
+# for proper SONAME
+LIBMAJOR = 1
+LIBMINOR = 0
 
 # build simple shared library
 # single header file exported, should be .../lib/include/$(PKG_LIB).h
@@ -63,7 +67,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib

=== lib/wctlplugin/Makefile ===
--- 
+++ 
@@ -53,12 +53,7 @@
 
 MAKESUBDIR = YES
 
-ifeq ($(ARCH), armel)
-LIBSUBDIR = /usr/lib/arm-linux-gnueabi/alsa-lib
-endif
-ifeq ($(ARCH), armhf)
-LIBSUBDIR = /usr/lib/arm-linux-gnueabihf/alsa-lib
-endif
+LIBSUBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib
 
 HDRSUBDIR = /usr/include/alsa
 
@@ -68,7 +63,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib

=== lib/wpcmplugin/Makefile ===
--- 
+++ 
@@ -55,12 +55,7 @@
 
 MAKESUBDIR = YES
 
-ifeq ($(ARCH), armel)
-LIBSUBDIR = /usr/lib/arm-linux-gnueabi/alsa-lib
-endif
-ifeq ($(ARCH), armhf)
-LIBSUBDIR = /usr/lib/arm-linux-gnueabihf/alsa-lib
-endif
+LIBSUBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)/alsa-lib
 
 HDRSUBDIR = /usr/include/alsa
 
@@ -70,7 +65,7 @@
 
 all: $(TARGET)
 
--include $(DEPENDS)
+#-include $(DEPENDS)
 
 include $(make_home)/target_lib
